Show / Hide Table of Contents

# Struct Addon

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.Internal.Gui.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public struct Addon

### Fields

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RootNode

##### Declaration

    public AtkResNode*RootNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Scale

##### Declaration

    public float Scale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### X

##### Declaration

    public short X

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Y

##### Declaration

    public short Y

##### Field Value

Type | Description
--- | ---
System.Int16 |